part of '../pages.dart';

class StandardsButtonPage extends StatefulWidget {
  static const routeName = '/buttons_page/standards_button_page';

  @override
  _StandardsButtonPageState createState() => _StandardsButtonPageState();
}

class _StandardsButtonPageState extends State<StandardsButtonPage> with SingleTickerProviderStateMixin {
  TabController? tabController;

  @override
  void initState() {
    super.initState();
    tabController = TabController(length: 2, vsync: this);
  }

  @override
  void dispose() {
    tabController!.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: LLSColors.PRIMARY,
        leading: InkWell(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: Container(
            child: Icon(
              CupertinoIcons.back,
              color: LLSColors.WHITE,
            ),
          ),
        ),
        title: const Text(
          'Standard Buttons',
          style: TextStyle(fontSize: 17),
        ),
        centerTitle: true,
      ),
      body: ListView(
        children: [
          Container(
            width: double.infinity,
            height: 45,
            margin: EdgeInsets.only(top: 20, left: 25, right: 25),
            padding: EdgeInsets.zero,
            child: LLSSegmentTabs(
              tabController: tabController,
              width: double.infinity,
              length: 3,
              tabs: <Widget>[
                Tab(
                  child: Text(
                    'Solid',
                    style: TextStyle(fontSize: 15),
                  )
                ),
                Tab(
                  child: Text(
                    'Outline',
                    style: TextStyle(fontSize: 15),
                  ),
                ),
              ],
              tabBarColor: LLSColors.LIGHT,
              indicatorSize: TabBarIndicatorSize.tab,
              labelColor: LLSColors.WHITE,
              unselectedLabelColor: LLSColors.DARK,
              indicator: BoxDecoration(
                color: LLSColors.SECONDARY,
                border: Border(
                  bottom: BorderSide(
                    color: LLSColors.SUCCESS,
                    width: 4,
                  ),
                ),
              ),
              indicatorWeight: 2,
              border: Border.all(color: Colors.white, width: 2)
            ),
          ),
          Container(
            height: MediaQuery.of(context).size.height - 140,
            child: LLSTabBarView(
              controller: tabController,
              physics: BouncingScrollPhysics(),
              children: <Widget>[
                Container(
                  child: ListView(
                    children: <Widget>[
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 30),
                        child: LLSLabel(
                          text: 'Default',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  shape: LLSButtonShape.standard,
                                  child: const Text(
                                    'Primary',
                                    style: TextStyle(color: LLSColors.WHITE)
                                  ),
                                  color: LLSColors.PRIMARY,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text(
                                    'Secondary',
                                    style: TextStyle(color: LLSColors.WHITE)
                                  ),
                                  color: LLSColors.SECONDARY,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Success'),
                                  color: LLSColors.SUCCESS,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Warning'),
                                  color: LLSColors.WARNING,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text(
                                    'Danger',
                                    style: TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.DANGER,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Info'),
                                  color: LLSColors.INFO,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Light'),
                                  color: LLSColors.LIGHT,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text(
                                    'Dark',
                                    style: TextStyle(color: LLSColors.WHITE),
                                  ),
                                  color: LLSColors.DARK,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: Text(
                                    'Link',
                                    style: TextStyle(
                                      color: LLSColors.SECONDARY
                                    )
                                  ),
                                  type: LLSButtonType.solid,
                                  color: LLSColors.TRANSPARENT,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Orange'),
                                  color: LLSColors.TERTIARY,
                                ),
                              ]
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Disabled State',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: const <Widget>[
                                LLSButton(
                                  onPressed: null,
                                  shape: LLSButtonShape.standard,
                                  child: Text('Primary',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.PRIMARY,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Secondary',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.SECONDARY,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Success'),
                                  color: LLSColors.SUCCESS,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: const <Widget>[
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Warning'),
                                  color: LLSColors.WARNING,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Danger',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.DANGER,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Info'),
                                  color: LLSColors.INFO,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                const LLSButton(
                                  onPressed: null,
                                  child: Text('Light'),
                                  color: LLSColors.LIGHT,
                                ),
                                const LLSButton(
                                  onPressed: null,
                                  child: Text(
                                    'Dark',
                                    style: TextStyle(color: LLSColors.WHITE),
                                  ),
                                  color: LLSColors.DARK,
                                ),
                                LLSButton(
                                  type: LLSButtonType.transparent,
                                  onPressed: null,
                                  child: Text(
                                    'Link',
                                    style: TextStyle(
                                      color: LLSColors.SECONDARY
                                    )
                                  ),
                                  color: LLSColors.TRANSPARENT,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: null,
                                  child: const Text('Orange'),
                                  color: LLSColors.TERTIARY,
                                ),
                              ]
                            )
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Transparent Buttons',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Primary'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.PRIMARY,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Secondary'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.SECONDARY,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Success'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.SUCCESS,
                                ),
                              ],
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Warning'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.WARNING,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Danger'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.DANGER,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Info'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.INFO,
                                ),
                              ],
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Light'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.LIGHT,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Dark'),
                                  type: LLSButtonType.transparent,
                                  textColor: LLSColors.DARK,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: Text(
                                    'Link',
                                    style: TextStyle(
                                      color: LLSColors.SECONDARY
                                    )
                                  ),
                                  type: LLSButtonType.transparent,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Orange'),
                                  color: LLSColors.TERTIARY,
                                  type: LLSButtonType.transparent,
                                ),
                              ]
                            )
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Button Sizes',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Large',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.LARGE,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Normal',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.MEDIUM,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Small',
                                      style:
                                          TextStyle(color: LLSColors.WHITE)),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.SMALL,
                                ),
                                const SizedBox(
                                  height: 10,
                                ),
                              ],
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Block Buttons',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Large',
                                  style: TextStyle(color: LLSColors.WHITE)),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.LARGE,
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Normal',
                                  style: TextStyle(color: LLSColors.WHITE)),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.MEDIUM,
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Small',
                                  style: TextStyle(color: LLSColors.WHITE)),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.SMALL,
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Full Width Buttons',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      Column(
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: <Widget>[
                          const SizedBox(
                            height: 10,
                          ),
                          LLSButton(
                            onPressed: () {},
                            child: const Text('Large',
                                style: TextStyle(color: LLSColors.WHITE)),
                            color: LLSColors.PRIMARY,
                            size: LLSSize.LARGE,
                            fullWidthButton: true,
                          ),
                          const SizedBox(
                            height: 10,
                          ),
                          LLSButton(
                            onPressed: () {},
                            child: const Text('Normal',
                                style: TextStyle(color: LLSColors.WHITE)),
                            color: LLSColors.PRIMARY,
                            size: LLSSize.MEDIUM,
                            fullWidthButton: true,
                          ),
                          const SizedBox(
                            height: 10,
                          ),
                          LLSButton(
                            onPressed: () {},
                            child: const Text('Small',
                                style: TextStyle(color: LLSColors.WHITE)),
                            color: LLSColors.PRIMARY,
                            size: LLSSize.SMALL,
                            fullWidthButton: true,
                          ),
                          const SizedBox(
                            height: 10,
                          ),
                        ],
                      ),
                    ],
                  ),
                ),
                Container(
                  child: ListView(
                    children: <Widget>[
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 30),
                        child: LLSLabel(
                          text: 'Default',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Primary'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Secondary'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.SECONDARY,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Success'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.SUCCESS,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Warning'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.WARNING,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Danger'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.DANGER,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Info'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.INFO,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Light'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.LIGHT,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Dark'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.DARK,
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: Text(
                                    'Link',
                                    style: TextStyle(
                                      color: LLSColors.SECONDARY
                                    )
                                  ),
                                  type: LLSButtonType.transparent,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Orange'),
                                  color: LLSColors.TERTIARY,
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                ),
                              ]
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Disabled State',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: const <Widget>[
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Primary'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Secondary'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.SECONDARY,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text('Success'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.SUCCESS,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Warning'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.WARNING,
                                ),
                                const LLSButton(
                                  onPressed: null,
                                  child: Text('Danger'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.DANGER,
                                ),
                                const LLSButton(
                                  onPressed: null,
                                  child: Text('Info'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.INFO,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                const LLSButton(
                                  onPressed: null,
                                  child: Text('Light'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.LIGHT,
                                ),
                                const LLSButton(
                                  onPressed: null,
                                  child: Text('Dark'),
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                  color: LLSColors.DARK,
                                ),
                                LLSButton(
                                  onPressed: null,
                                  child: Text(
                                    'Link',
                                    style: TextStyle(
                                      color: LLSColors.SECONDARY
                                    )
                                  ),
                                  type: LLSButtonType.transparent,
                                ),
                              ],
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: null,
                                  child: const Text('Orange'),
                                  color: LLSColors.TERTIARY,
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0,
                                ),
                              ]
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Button Sizes',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            Row(
                              mainAxisAlignment:
                                  MainAxisAlignment.spaceBetween,
                              children: <Widget>[
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Large'),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.LARGE,
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Normal'),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.MEDIUM,
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0
                                ),
                                LLSButton(
                                  onPressed: () {},
                                  child: const Text('Small'),
                                  color: LLSColors.PRIMARY,
                                  size: LLSSize.SMALL,
                                  type: LLSButtonType.outline,
                                  widthBorderOutline: 2.0
                                ),
                                const SizedBox(
                                  height: 10,
                                ),
                              ],
                            ),
                          ],
                        ),
                      ),
                      const Padding(
                        padding: EdgeInsets.only(left: 15, top: 10),
                        child: LLSLabel(
                          text: 'Block Buttons',
                          type: LLSLabelType.typo4,
                          dividerWidth: 25,
                          dividerColor: LLSColors.SECONDARY,
                        ),
                      ),
                      LLSCard(
                        key: UniqueKey(),
                        content: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Large'),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.LARGE,
                              type: LLSButtonType.outline,
                              widthBorderOutline: 2.0
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Normal'),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.MEDIUM,
                              type: LLSButtonType.outline,
                              widthBorderOutline: 2.0
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                            LLSButton(
                              onPressed: () {},
                              blockButton: true,
                              child: const Text('Small'),
                              color: LLSColors.PRIMARY,
                              size: LLSSize.SMALL,
                              type: LLSButtonType.outline,
                              widthBorderOutline: 2.0
                            ),
                            const SizedBox(
                              height: 10,
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ]
            ),
          )
        ],
      )
    );
  }
}